Subject: Re: CCL:autogrid/dock + segmentation fault on Redhat8

From: Carsten Detering <[email-masked]>
Date: Tue, 25 Mar 2003 09:15:49 -0800

Hi Aldo,

right, I looked into this. In an older version of AutoDock (I believe it 
is 3.04) the specification of atom types is given in the autogrid.h, 
whereas in the latest version, it is given in the autocomm.h, and 
exactly this piece of code is responsible for the number of atom types; 
it is actually the same source code simply pasted into autocomm.h.
Thanks anyway for your reply.

Carsten

aldo jongejan wrote:
> Hi Carsten,
> 
> Probably you already looked into this, but what about fx "autogrid.h" in the
> autogrid-source directory. Here I see that onlt 7 atom types have been
> declared.
> If you play around with this, would it read more types??
> I see fx a :
> 
> #define ATOMTYPE        "CNOSHXM"
> 
> #define NATOMTYPES      7    /* Number of atom types for atomic interactions
> */
> #define MAX_TYPES       8    /* Maximum number of atom types used.
> */
> 
> This code is for the macromolecule (I guess) , but something similar probably
> holds for the ligand as well...
> 
> hope it helps a little,
> 
> aldo
> 
> Carsten Detering wrote:
> 
> 
>>Hi fellow AutoDockers and CClers,
>>
>>Unfortunately I still couldn't fix the problem of AutoDock not being
>>able to take more than ten atom types, although I think I did everything
>>according to the guidance. I used the autocomm.h-extra-maps as
>>autocomm.h, and at least I didn't have trouble compiling both programs.
>>I changed the Makefile according to the Linux AutoDock HOWTO. But
>>everytime I call autogrid, I get a segmentation fault, even if I use
>>less than ten atom types. I think the problem arises when the program
>>starts to calculate the grids, since the gpf file was read in without
>>problems (according to glg). I also set the stacksize to unlimited, so
>>this cannot cause the problem either (I use bash, so I have ulimit -s
>>unlimited).
>>
>>Is there anyone who experienced similar problems and could help me with
>>this? I honestly don't know why this doen't work.
>>
>>Thanks a lot in advance,
>>
>>Carsten
>>
>>--
>>
>>Carsten Detering, Ph.D.
>>University of Washington
>>Seattle, WA 98195
>>Fon 206.543.5081
>>Fax 206.685.8665
>>
>>-= This is automatically added to each message by mailing script =-
>>[email-masked] -- To Everybody  | [email-masked] -- To Admins
>>Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
> 
> 
> --
> ###########################################
> 
> Aldo Jongejan
> Molecular Modeling Group
> Dept. of Pharmacochemistry
> Free University of Amsterdam
> De Boelelaan 1083
> 1081 HV Amsterdam
> The Netherlands
> 
> e-mail: [email-masked]
> tlf:    +31 (0)20 4447612
> fax:    +31 (0)20 4447610
> 
> ###########################################
> 
> 
> 

-- 

Carsten Detering
University of Washington
Seattle, WA 98195
Fon 206.543.5081
Fax 206.685.8665